@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kanit&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');
body {
    background: linear-gradient(45deg, rgb(24, 24, 24) 45%, rgb(42, 42, 42));
    color: white;
    background-repeat: no-repeat;
    background-size: 100% 100vh;
    height: 100%;
    margin: 0;
    padding: 0;
    background-size: 100% auto;
    background-attachment: fixed;
}

.header {
    position:fixed;
    padding: 10px;
    width: calc(100% - 20px);
    height: 50px;
    background-color: #181818;
    top:0px;
    left:0px;
    display: flex;
    flex-direction: row;
    gap: 15px;
    align-items: center;
    font-family: 'Poppins', sans-serif;
    font-size: 20px;
    z-index: 50;
    .header-title {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 10px;
        width: 300px;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
        height: 100%;
    }
    .menu {
        width: calc(100% - 350px);
        display: flex;
        flex-direction: row;
        gap: 5%;
        font-size: 15px;
        align-items: center;
        justify-content: center;
    }
    .menu .item {
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        width: 150px;
        transition: color 0.4s, font-size 0.2s;
        position:relative;
    }
    .menu .item svg{
        width: 30px;
        height: 30px;
        display: none;
    }
    .menu .item:hover {
        font-size: 16px;
        color:#35AB36;
    }
    .header-title img {
        height: 100%;
    }
}   

#download-lastest:hover {
    color:rgb(242, 64, 94)
}



@keyframes imageshow {
    from {
        opacity: 0;
    } to {
        opacity: 1;
    }
}
@keyframes pop {
    from {
        transform:scale(0)
    } to {
        transform:scale(1)
    }
}
.main-container {
    height: fit-content;
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 150px;
    padding-bottom: 150px;
    .upcoming-features{
        width: 75%;
        font-family: "Roboto",sans-serif;
        display: flex;
        flex-direction: column;
        gap: 20px;
        .title {
            font-size: 25px;
        }
        .container {
            display: flex;
            flex-direction: row;
            gap: 10px;
            .column {
                display: flex;
                flex-direction: column;
                gap: 10px;
                width: calc(50% - 5px);

            }
        }
        .upcoming {
            padding: 10px;
            padding-left: 50px;
            padding-right: 50px;
            width: calc(100% - 100px);
            background-color: rgb(30, 30, 30);
            border-radius: 20px;
            display: flex;
            flex-direction: column;
            line-height: 25px;
            gap: 10px;
            .title svg {
                fill:white;
                height: 30px;
                width: 30px;
            }
            .title {
                display: flex;
                flex-direction: row;
                gap: 5px;
                align-items: center;
                font-size: 20px;
                width: 100%;
                position:relative;
            }
        }
    }
    .about-arena {
        width: 100%;
        height: fit-content;
        display: flex;
        position:relative;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        .screenshots {
            width: 100%;
            height: 50vh;
            position:relative;
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;
        }
        .screenshots img {
            width: 95%;
            position:absolute;
            border: 2px solid rgba(255,255,255,0.3);
            border-radius: 10px;
            z-index: 1;
            opacity: 0;
        }
        .screenshots img:nth-child(1) {
            z-index: 2;
            opacity: 1;
        }
        .slideshow {
            overflow: hidden; /* Hide overflowing images */
            width: 30%;
            max-width: 600px; /* Set the width of the slideshow container */
            position: relative; /* Required for positioning the slides */
            display: flex;
        }
        .slideshow svg {
            position:absolute;
            z-index : 5;
            padding: 2px;
            border-radius: 50%;
            height: 35px;
            width: 35px;
            cursor: pointer;
            top:0;bottom:0;margin:auto;
            fill:white;
            transition:background-color 0.2s;
            right:15px;

        }
        .slideshow svg:hover {
            background-color: rgba(255,255,255,0.1);
        }

    

        
        .screenshots {
            display: flex; /* Arrange images side by side */
            transition: transform 0.5s ease; /* Add smooth sliding animation */
        }
        
        .text-container {
            width: 60%;
            display: flex;
            flex-direction: column;
            gap: 50px;
            .title {
                display: flex;
                flex-direction: column;
                gap:5px;
    
                .name {
                    font-family: 'Kanit', sans-serif;
                    font-size: 40px;
                }
                .desc {
                    font-size: 25px;
                    font-family: 'Roboto', sans-serif;
                }
            }

            .description {
                font-family: 'Roboto', sans-serif;
                width: 75%;
                line-height: 25px;
            }
        }

    }
    .medias {
        width: fit-content;
        display: flex;
        flex-direction: column;
        position:fixed;
        gap: 5px;
        bottom:10px;
        right:50px;
        z-index: 99;
    }

    .media-container {
        width: 100%;
        .title {
            font-family: 'Roboto Slab', serif;
        }
        .center {
            height: 120px;
            width: 100%;
            background-color: rgb(16, 16, 16);
            border-radius: 10px;
            display: flex;
            flex-direction: row;
            gap: 15px;
            height: 70px;
            padding-left: 20px;
            padding-right: 20px;
            align-items: center;
            font-family: 'Lato', sans-serif;
            justify-content: center;
            transition: display 1s, gap 1s;
            .infos-container {
                height: 50px;
                width: fit-content;
                display: flex;
                flex-direction: row;
                gap: 20px;
                width: fit-content;
                .infos {
                    width: calc(100% );
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    .description {
                        font-size: 13px;
                        color:rgba(255,255,255,0.6)
                    }
                }
            }
            .infos {
                width: calc(100%);
            }
            .infos-container img {
                height: 50px;
                border-radius: 50%;
                margin-top: auto;
                margin-bottom: auto;
            }
            .server-name {
                width: 75%;
                padding: 4px;
                height: 30px;
                display: flex;
                align-items: center;
                justify-content: center;
                border-radius: 50px;
                padding-left: 20px;
                padding-right: 20px;
                cursor: pointer;
                transition: border-radius 1s, background-color 0.4s;

            }
            

        }

    }
}

.tag {
    font-family: 'Montserrat', sans-serif;
    font-size: 12px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 5px;
    position:absolute;
    width: fit-content;
    padding-left: 10px;
    padding-right: 10px;
    top:0;right:0;bottom:0;margin:auto;
    background-color: rgb(234, 220, 12);
    border-radius: 50px;
    height: 25px;
    color:rgb(57, 57, 57);
    font-weight: bold;
}
.tag svg {
    height: 10px !important;
    width: 10px !important;
    fill:rgb(57, 57, 57) !important;

}
#prior::after {
    content:"Priority"
}
.huge-title {
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Kanit",sans-serif;
    font-size:40px;
    margin-bottom: -120px;
}
#discord {
    background-color: rgba(53, 171, 54,0.5);
}

#discord:hover {
    background-color: rgba(53, 171, 54,0.8);
}
#github {
    background-color: rgba(50, 50, 50,0.5);
}#github:hover {
    background-color: rgba(50, 50, 50,0.8);
}

.down-header {
    font-family: "Roboto", sans-serif;
    width: calc(50% - 20px);
    padding: 10px;
    position:relative;
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: center;
    justify-content: center;
    bottom:0;
    color:#ffffffb3;
    background-color: #181818;
    border-radius: 10px;
    border: 2px solid #B82828;
    box-shadow: 0px 0px 20px black;
    margin-top: 20px;

    .title {
        font-size: 15px;
        color:rgba(255,255,255,0.9);
    }
    .info {
        display: flex;
        flex-direction: column;
        gap: 5px;
        width: 100%;
        font-size: 12px;
    }
    .last {
        font-size: 13px;
        width: 100%;
    }
}
.down-header svg {
    position:absolute;
    width: 50px;
    height: 50px;
    top: -20px;
    left:-20px;
    background-color: #181818;
    border-radius: 50%;

}

.specitifications {
    width: 90%;
    border: 1px solid white;
    border-style: solid solid none solid;
    border-radius: 5px 5px 0px 0px;
    font-family: "Roboto",sans-serif;
    .sp-header {
        position:relative;
        display: flex;
        flex-direction: row;
        font-size: 20px;
        height: 40px;
        border: 1px solid white;
        border-style: none none solid none;
        .name, .customizable, .path, .value {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .name {
            width: 40%;
            border: 1px solid white;
            border-style: none solid none none;
        }
        .customizable {
            width: 15%;
            border: 1px solid white;
            border-style: none solid none none;
        }
        .path {
            width: 30%;
            border: 1px solid white;
            border-style: none solid none none;
        }
        .value {
            width: 15%;
        }
    }
    .separator {
        width: calc(100% - 10px);
        height: 30px;
        display: flex;
        align-items: center;
        padding-left: 10px;
        font-size: 16px;
        color:rgba(0, 0, 0, 0.7);
        background-color: white;
    }
    .specification {
        position:relative;
        display: flex;
        flex-direction: row;
        font-size: 15px;
        height: 40px;
        border: 1px solid white;
        border-style: none none solid none;
        .name, .customizable, .path, .value {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .name {
            width: 40%;
            border: 1px solid white;
            border-style: none solid none none;
            display: flex;
            flex-direction: row-reverse;
            gap: 10px;
        }
        .name svg {
            transform: rotate(-40deg);
            fill:white;
            width: 15px;
            height: 15px;
        }
        .customizable {
            width: 15%;
            border: 1px solid white;
            border-style: none solid none none;
        }
        .path {
            width: calc(30%);
            padding-left: 5px;
            padding-right: 5px;
            border: 1px solid white;
            border-style: none solid none none;
            font-family: "Source Code Pro",monospace;
            font-size: 13px;
            background-color: rgba(40, 40, 40, 0.3);
            overflow-x: auto;
            justify-content: unset;
        }
        .value {
            width: 15%;
        }
    }
    #customizable {
        fill:rgb(98, 205, 98);
        width: 30px;
        height: 30px;
    }
    #nocustomizable {
        fill:rgb(235, 93, 93);
        width: 30px;
        height: 30px;
    }

}

body a {
    outline:none;
    text-decoration: unset;
    color:rgb(232, 230, 230);
}

#int {
    color:rgb(49, 215, 135);
}
#pattern {
    color:rgb(231, 231, 121);
}
#rgba {
    color:rgb(90, 214, 212);
}
#true, #false {
    color:rgb(177, 79, 206);
}
#true {
    padding-right: 5px;
}
#false {
    padding-left: 5px;
}

/* For WebKit-based browsers and Microsoft Edge */
/* Note: Microsoft Edge also supports the -ms-overflow-style property */
::-webkit-scrollbar,
*::-webkit-scrollbar {
  width: 5px;
  height: 5px;

}

::-webkit-scrollbar-track,
*::-webkit-scrollbar-track {
  background-color: #191919;
}

::-webkit-scrollbar-thumb,
*::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover,
*::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

/* For Firefox */
/* Note: Firefox also supports scrollbar-width and scrollbar-color properties */
* {
  scrollbar-width: thin;
  scrollbar-color: #888 #f1f1f1;
}

*::-moz-scrollbar-thumb {
  background-color: #888;
}

*::-moz-scrollbar-thumb:hover {
  background-color: #555;
}

*::-moz-scrollbar-track {
  background-color: #f1f1f1;
}

@keyframes update_appear {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.updt {
    animation:update_appear;
    animation-fill-mode: forwards;
    animation-duration: 1s;
}

.updates-displayer {
    width: 65%;
    height: fit-content;
    display: flex;
    flex-direction: row;
    justify-content: center;
    position:relative;
    .updates-container {
        width: calc(100% - 50px);
        display: flex;
        flex-direction: column;
        gap: 30px;
        padding-left: 50px;
        position:relative;
        .update:hover {
            transform: translate(-5px,-5px);
            box-shadow: 2px 2px 5px rgba(238, 233, 233, 0.1);
        }
        .update:hover .date {
            transform: translate(5px,5px);
        }
        .update {
            background-color: #181818;
            padding: 10px;
            width: calc(100% - 20px);
            border-radius: 5px;
            position:relative;
            box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
            opacity: 0;
            transition: transform 0.3s, box-shadow 0.3s;
            .date {
                transition: transform 0.3s;
                position:absolute;
                left: -200px;
                display: flex;
                flex-direction: row-reverse;
                font-family: 'Poppins',sans-serif;
                font-size: 12px;
                width: 170px;
                height: 20px;
                align-items: center;
                justify-content: end;
                gap: 10px;
                top:0;bottom:0;margin:auto;
                padding: 5px;
                border-radius: 50px;
                .round {
                    width: 20px;
                    height: 20px;
                    background-color: #B82828;
                    border-radius: 50%;
                }
            }
            .update-container {
                display: flex;
                flex-direction: column;
                gap: 10px;
                min-height: 100px;
                .update-header {
                    display: flex;
                    align-items: center;
                    gap: 10px;
                    flex-direction: row;
                    .title {
                        width: fit-content;
                        font-family: 'Kanit', sans-serif;
                        font-size: 20px;
                    }
                    .tag {
                        position:relative;
                        margin:unset;
                        color:rgb(255, 255, 255);

                    }
                }
                .description {
                    width: calc(100% - 100px);
                    line-height: 22px;
                    font-family: "Roboto",sans-serif;
                    font-size: 14px;
                }
                .image {
                    position:absolute;
                    right: 10px;
                    top: 10px;
                }
                .image img {
                    width: 100px;
                    border-radius: 10px;
                }
            }
        }
    }
}
.archive {
    width: calc(100% - 20px);
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
    border-radius: 20px;
    background-color: rgba(39, 39, 39, 0.1);

}
.archive button {
    padding: 5px;
    background-color: rgba(0,0,0,0);
    color:white;
    border:none;
    cursor: pointer;
    font-size: 16px;
    height : 40px;
    transition: box-shadow 0.2s;
    padding-left: 20px;
    padding-right: 20px;
    border-radius: 5px;

}
.archive button:hover {
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.9);

}
.archive img {
    width: 100%;
    border-radius: 5px;
}
#arena_tag::before {
    content:"Arena"
}
#creations_tag::before {
    content:"Naflouille Creations"
}
#creations_tag {
    background-color: #35A936 !important;
}
#arena_tag {
    background-color: #e4267e !important;
}
.updates-linear {
    width: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    position:absolute;
    left: 10px;
    top: 0px;
    .line {
        width: 5px;
        border-radius: 5px;

        transition : height 1s;
        background:linear-gradient(
            0deg,
            #B82828,
            #508F33
        );
    }
}


.user:hover {
    box-shadow: 2px 2px 20px black;
}
.contrib-class {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: center;
}
.contrib-class:nth-child(2) {
    margin-top: 50px;
}
.user .title img {
        width: 70px;
        height: 70px;
        border-radius: 50%;
}
@keyframes popuser {
    from {
        opacity: 0;
        transform: scale(0);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
.contrib:nth-child(2) {
    height: 500px;
    .user:nth-child(1), .user:nth-child(3){
        opacity: 0;
        transform: scale(0);
        animation:popuser;
        animation-duration: 1s;
        animation-delay: 0s;
        animation-fill-mode: forwards;
    }
    .user:nth-child(2){
        opacity: 0;
        transform: scale(0);
        animation:popuser;
        animation-duration: 1s;
        animation-delay: 0.7s;
        animation-fill-mode: forwards;
    }
}
.contrib {
    position:relative;
}
@keyframes animatedown {
    from {
        height: 0px;
    }
    to {
        height: 200px;
    }
}



#code code {
    white-space: pre-wrap;
}
#code {
    padding: 10px;
    border-radius: 10px;
    background-color: rgb(28, 28, 28);
    width: 95%;
    #var {
        color:rgb(0, 251, 255);
        font-style: italic;
    }
    #equal {
        color:rgb(205, 17, 45);
    }
    #com {
        color:rgb(14, 188, 83);
    }
    #value {
        color:rgb(199, 110, 240);
    }
    #string {
        color:rgb(255, 255, 0);
    }
}
.docs-container {
    display: flex;
    flex-direction: column;
    gap: 10px;    font-family: "Roboto",sans-serif;

}

  .documentation {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .documentation-content {
    width: 100%;
    font-family: "Roboto",sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    .docs-title{
        font-size: 20px;
        padding-bottom: 10px;
        padding-top: 10px;
    }

  }


.animation {
    position:absolute;
    height: 0px;
    width: 5px;
    top: 320px;
    left:0;right:0;margin:auto;
    border-radius: 50px;
    background:linear-gradient(
        -180deg,
        #dfa60a,
        rgba(223, 166, 10,0.2)
    );
    animation:animatedown;
    animation-duration: 1s;
    animation-delay: 1.7s;
    animation-fill-mode: forwards;
}
.contributions {
    width: 95%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    .contrib-header {
        font-family: "Kanit",sans-serif;
        font-size: 25px;
    }
    .contrib-tree {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        gap: 20px;
        .contrib-title {
            position:relative;
            width: 90%;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 20px;
            .linear {
                width: 90%;
                position:absolute;
                top:0;bottom:0;left:0;right:0;margin:auto;
                height: 1px;
            }
            font-family: "Kanit",sans-serif;
        }
        .contrib {
            display: grid;
            width: 660px;
            grid-template-columns: repeat(auto-fill,200px);
            grid-template-rows: repeat(auto-fill,100px);
            row-gap: 60px;
            column-gap: 30px;
            padding-top: 30px;
            padding-bottom: 30px;
            align-items: start;
            justify-content:start;

            .user {
                padding: 10px;
                border-radius: 10px;
                background-color: #181818;
                position:relative;
                font-family: "Roboto", sans-serif;
                padding-bottom: 15px;
                border: 1px solid #e0e0e0;
                cursor: pointer;
                transition: box-shadow 0.3s;
                .title {
                    display: flex;
                    flex-direction: column;
                    gap: 10px;
                    align-items: center;
                    .infos-container {
                        display: flex;
                        flex-direction: column;
                        gap: 5px;
                        align-items: center;
                        justify-content: center;
                        .name {
                            white-space: nowrap;
                            overflow: hidden;
                            text-overflow: ellipsis;
                        }
                        .discord {
                            font-size: 12px;
                            margin-left: auto;
                        }
                    }
                }
                .description{
                    display: flex;
                    flex-direction: column;
                    gap: 10px;
                    font-size: 14px;
                    align-items: center;
                    justify-content: center;
                    padding: 10px;
                    #mod-creator::before{
                        content:"Mod Creator";
                        background-color: #e4267e;
                        padding: 2px;
                        border-radius: 50px;
                        width: fit-content;
                        padding-left: 5px;
                        padding-right: 5px;
                    }
                    #mod-coder::before{
                        content:"Mod Coder";
                        background-color: #bc6fee;
                        padding: 2px;
                        border-radius: 50px;
                        width: fit-content;
                        padding-left: 5px;
                        padding-right: 5px;
                    }
                    #mod-contributor::before{
                        content:"Mod Contributor";
                        background-color: #49dfaf;
                        padding: 2px;
                        border-radius: 50px;
                        width: fit-content;
                        padding-left: 5px;
                        padding-right: 5px;
                    }
                    #mod-originals::before{
                        content:"Mod Originals";
                        background-color: #dfa60a;
                        padding: 2px;
                        border-radius: 50px;
                        width: fit-content;
                        padding-left: 5px;
                        padding-right: 5px;
                    }
                }
            }
            #honor {
                border: 1px solid #f033e0;
                padding-top: 25px;
            }
            #coder {
                border: 1px solid #f08533;
                padding-top: 25px;
            }
            .user svg {
                height: 25px;
                width: 25px;
            }
            .honorable, .coder {
                background-color: #181818;
                padding: 5px;
                width: 25px;
                height: 25px;
                border: 1px solid #f033e0;
                border-radius: 50%;
                position:absolute;
                left:0px;
                right:0px;
                margin:auto;
                top:-20px;
            }
            .coder {
                border: 1px solid #f08533;
            }

        }
    }

}                    


#colored {
    color:#35AB36;
}
@keyframes displayslide {
    from {
        opacity: 0;
        transform: translateX(-50%);
    } to {
        opacity: 1;
        transform: translateX(0px);
    }
}
.about-arena .text-container .title {
    animation: displayslide;
    animation-duration: 1s;
}

@keyframes display_title {
    0% {
        opacity: 0;
        visibility: hidden;
    }
    50% {
        opacity: 0;
        visibility: hidden;
    }
     100% {
        opacity: 1;
        visibility: visible;
     }
}
@keyframes version_appear {
    0% {
        width: 40px;
        margin-right: auto;
        margin-left: auto;
    }
    20% {
        width: 40px;
        margin-right: auto;
        margin-left: auto;
    }
    100% {
        width: 95%;
    }
}

.download-view {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    .download-view-title {
        font-size: 25px;
        font-family: "Poppins", sans-serif;
        animation: update_appear;
        animation-duration: 1s;
    }
    .versions {
        display: flex;
        flex-direction: column;
        gap: 10px;
        align-items: center;
        width: 50%;
        justify-content: center;
        border-radius: 5px;
        .version:hover {
            box-shadow: 0px 0px 2ch black;
        }
        .version {
            transition: box-shadow 0.5s;
            animation : version_appear;
            cursor: pointer;
            animation-duration: 1s;
            height: 60px;
            width: 95%;
            display: flex;
            flex-direction: row;
            overflow: hidden;
            gap: 5px;
            font-family: "Roboto",sans-serif;
            padding: 10px;
            padding-left: 10px;
            border-radius: 5px;
            gap: 20px;
            border: 2px solid rgb(42, 42, 42);
            background-color: rgba(24,24,24,0.9);
            .title {
                display: flex;
                opacity: 0;
                visibility: hidden;
                animation : display_title;
                animation-duration: 1s;
                animation-fill-mode: forwards;
                width: calc(100% - 70px);
                flex-direction: column;
                height: 100%;
                justify-content: center;
                gap: 5px;
                .name {
                    font-size: 20px;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    
                    gap: 20px;
                    .spec {
                        font-size: 15px;
                        background-color: #508F33;
                        padding-left: 5px;
                        padding-right: 5px;
                        border-radius: 50px;
                    }
                }
                .description {
                    font-size: 14px;
                    color:rgba(255, 255, 255, 0.702);
                    width: 90%;
                    text-overflow: ellipsis;
                    overflow: hidden;
                    white-space: nowrap;
                }
            }
            .download-button {
                width: 40px;
                display: flex;
                flex-direction: row;
                gap: 10px;
                align-items: center;
                justify-content: center;
                font-family: "Kanit",sans-serif;
                height: 100%;
                width: 60px;
                border-radius: 5px;
                cursor: pointer;
                background-color: rgb(22, 22, 22);
            }
            .download-button svg {
                width: 40px;
                height: 40px;
            }

        }
    }
}

.screenshot-title {
    position:absolute;
    font-size: 20px;
    font-family: "Poppins",sans-serif;
    width: fit-content;
    text-align: center;
    bottom:0;
    left: 0; right: 0; margin:auto;
    z-index: 3;
}

@keyframes SlideLeft {
    from {
        transform: translateX(0px);
    } to {
        transform: translateX(-100%);
        opacity: 0;
    }
}
@keyframes SlideLeftStart {
    from {
        transform: translateX(100%);
    } to {
        transform: translateX(0px);
    }
}
@keyframes SlideRight {
    from {
        transform: translateX(0px);
    } to {
        transform: translateX(100%);
        opacity: 0;
    }
}
@keyframes SlideRightStart {
    from {
        transform: translateX(-100%);
    } to {
        transform: translateX(0px);
    }
}
.slide-right-start {
    animation: SlideRightStart;
    animation-duration: 1s;
}
.slide-right {
    animation: SlideRight;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}
.slide-left-start {
    animation: SlideLeftStart;
    animation-duration: 1s;
}
.slide-left {
    animation: SlideLeft;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}


.disclaimer {
    display: none;
}

@media (max-width: 800px) {
    body {
        height: 100%;
        width: 100%;
    }
    .header {
        .header-title span  {
            display: none;
        }
        .header-title {
            width: fit-content;
        }
        .menu {
            width: calc(100% - 100px);
            margin-left: auto;
            margin-right: auto;
            gap: 10px !important;
            .item span {
                display: none;
            }
            .item svg {
                display: inline;
            }
        }
    }
    .about-arena {
        flex-direction: column !important;
        .text-container {
            width: 90% !important;
        }
        .slideshow {
            width: 80% !important;
        }
    }
    .upcoming-features {
        flex-direction: column;
        .container {
            flex-direction: column !important;
            .column {
                width: 100% !important;
                .upcoming {
                    padding-left: 15px !important;
                    padding-right: 15px !important;
                    width: calc(100% - 30px) !important;
                    .title {
                        .tag::after {
                            content:"" !important;
                            padding: 0px !important;
                        }
                        .tag {
                            padding-left: 10px !important;
                            padding-right: 10px !important;
                            gap:0px !important;
                        }
                    }
                }
            }
        } 
    }
    .download-view {
        width: 90% !important;;
        .download-view-title {
            text-align: center;
        }
        .versions {
            width: 100% !important;;
        }
        .down-header {
            width: 90% !important;;
            .title {
                width: 90%;
                text-align: center;
            }
        }
    }
    #Updates, #Contributions {
        display: none;
    }
    #docs-title, .specitifications {
        display: none;
    }
    .medias {
        position:relative !important;
        flex-direction: column !important;
        width: 100% !important;
        bottom:unset !important;
        right: unset !important;
        gap: 10px !important;
        align-items: center;
        justify-content: center;
        margin-top: -100px;
        .media-container {
            width: 75% !important;
            .center {
                width: calc(100% - 40px) !important;
            }
        }
    }
    .disclaimer {
        display: inline;
        width: 75%;
        font-size: 20px;
        font-family: "Poppins",sans-serif;
        text-align: center;
    }
  }


